summaryrefslogtreecommitdiff
path: root/tl-sign-file
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2017-05-02 20:35:27 +0900
committerNorbert Preining <norbert@preining.info>2017-05-02 20:35:27 +0900
commit4c861b390eff7d380e7e0b02f9c2a12f91f3d2df (patch)
treec32bc54ddcd4d3ff6439cec3b1af8b24940e1cc0 /tl-sign-file
parentcc9a7f43abc420e0ae5e4ffc963ad05ab4c89833 (diff)
add a tl-sign command
Diffstat (limited to 'tl-sign-file')
-rwxr-xr-xtl-sign-file24
1 files changed, 24 insertions, 0 deletions
diff --git a/tl-sign-file b/tl-sign-file
new file mode 100755
index 00000000..2d54a52a
--- /dev/null
+++ b/tl-sign-file
@@ -0,0 +1,24 @@
+#!/bin/sh
+# $Id$
+# Public domain. Originally written 2016, Norbert Preining
+# Sign a file for release in TeX Live
+
+if test $# -ne 1; then
+ echo "$0: Exactly one argument must be given, the file to sign." >&2
+ exit 1
+fi
+
+# remove previous signature
+rm -f "$1.asc"
+
+prg=gpg
+if ! [ "x$TL_GNUPG" = "x" ] ; then
+ # use the environment variable TL_GNUPG
+ prg=$TL_GNUPG
+fi
+
+# sign
+$prg --armor \
+ --detach-sign \
+ --local-user 0xEC00B8DAD32266AA \
+ "$1"